MyGUI::ToolTipManager Class Reference

`#include <MyGUI_ToolTipManager.h>`

Inheritance diagram for MyGUI::ToolTipManager:
[legend]

## Public Member Functions

| ToolTipManager (const ToolTipManager &)=delete
ToolTipManager & | operator= (const ToolTipManager &)=delete
| ToolTipManager ()
void | initialise ()
void | shutdown ()
void | setDelayVisible (float _value)
float | getDelayVisible () const
void | _unlinkWidget (Widget *_widget) override
Public Member Functions inherited from MyGUI::IUnlinkWidget
virtual | ~IUnlinkWidget ()=default

## Static Public Member Functions

static ToolTipManager & | getInstance ()
static ToolTipManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Detailed Description

Definition at line 17 of file MyGUI_ToolTipManager.h.

## Constructor & Destructor Documentation

## ToolTipManager() [1/2]

MyGUI::ToolTipManager::ToolTipManager | ( | const ToolTipManager & |  | ) |

delete

## ToolTipManager() [2/2]

MyGUI::ToolTipManager::ToolTipManager | ( |  | ) |

Definition at line 18 of file MyGUI_ToolTipManager.cpp.

## Member Function Documentation

## _unlinkWidget()

void MyGUI::ToolTipManager::_unlinkWidget | ( | Widget * | _widget | ) |

override virtual

Implements MyGUI::IUnlinkWidget.

Definition at line 129 of file MyGUI_ToolTipManager.cpp.

## getClassTypeName()

std::string_view MyGUI::ToolTipManager::getClassTypeName | ( |  | ) |

static

## getDelayVisible()

float MyGUI::ToolTipManager::getDelayVisible | ( |  | ) | const

Definition at line 191 of file MyGUI_ToolTipManager.cpp.

## getInstance()

ToolTipManager & MyGUI::ToolTipManager::getInstance | ( |  | ) |

static

## getInstancePtr()

ToolTipManager * MyGUI::ToolTipManager::getInstancePtr | ( |  | ) |

static

## initialise()

void MyGUI::ToolTipManager::initialise | ( |  | ) |

Definition at line 23 of file MyGUI_ToolTipManager.cpp.

## operator=()

ToolTipManager & MyGUI::ToolTipManager::operator= | ( | const ToolTipManager & |  | ) |

delete

## setDelayVisible()

void MyGUI::ToolTipManager::setDelayVisible | ( | float | _value | ) |

Definition at line 186 of file MyGUI_ToolTipManager.cpp.

## shutdown()

void MyGUI::ToolTipManager::shutdown | ( |  | ) |

Definition at line 42 of file MyGUI_ToolTipManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ToolTipManager.h
- MyGUI_ToolTipManager.cpp